Qdig index.php Multiple Variable XSS

2006-06-26T09:04:05
ID OSVDB:26828
Type osvdb
Reporter Secure Systems Lab()
Modified 2006-06-26T09:04:05

Description

Vulnerability Description

Qdig contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'pre_gallery' and 'post_gallery' variables upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Technical Description

This vulnerability is only present when the register_globals PHP option is set to 'on'. This has not been the default setting for PHP installs since version 4.2.0 (22-Apr-2002).

Solution Description

Upgrade to version 1.2.9.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

Qdig contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'pre_gallery' and 'post_gallery' variables upon submission to the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor Specific News/Changelog Entry: http://qdig.sourceforge.net/News/News2006-06-24-1 Secunia Advisory ID:20808 ISS X-Force ID: 27471 FrSIRT Advisory: ADV-2006-2514 CVE-2006-3265